<?php

namespace App;

class Error
{
    /**
     * 错误码
     * @var [type]
     */
    public static $errCodes = [
        0 => '成功',
        400 => '请求失败,请稍候再试',
        500 => '系统异常，请联系管理员',

        1000 => '系统繁忙',
        1001 => '平台参数获取失败',
        1002 => '预授权码获取失败',
        1003 => '授权失败，请重试',
        1004 => '非法操作',

        1102 => '请求参数有误',
        1103 => '必要参数缺失，请检查',

        2000 => '获取企业access_token失败',
        2001 => '部门权限获取失败',
        2002 => '获取内部员工信息失败',
        2003 => '获取配置了客户联系功能成员失败',
        2004 => '企业id为空',
        2005 => '获取企业标签失败',
        2006 => '保存企业标签失败',
        2007 => '操作太快',
        2008 => '客户状态不可用，不可编辑标签',
        2009 => '获取部门列表为空',
        2010 => '获取配置了客户联系功能成员列表为空',
        2011 => '客户关系不存在',
        2012 => '接替员工状态不合法',
        2013 => '迁出员工状态不合法',
        2014 => '待同步成员列表为空',
        2015 => '群基本信息获取失败',
        2016 => '群基本信息解析入队列失败',

        2101 => '群发规则设置失败，请联系管理员',
        2102 => '此状态群发规则暂不支持编辑操作',
        2103 => '群发规则设置失败，请重试',
        2104 => '群发详情获取失败，请联系管理员',
        2105 => '群发规则列表获取失败，请联系管理员',
        2106 => '群发消息规则不存在，请刷新页面重试',
        2107 => '群发消息规则状态更新失败',
        2108 => '该群发消息的当前状态不支持发送提醒功能',
        2109 => '该群发消息指定的成员为空',
        2110 => '小程序推广链接中的公众账号与当前企微不匹配',
        2111 => '此状态群发规则暂不可禁用',

        2201 => '新用户欢迎语内容不可为空',
        2202 => '新用户欢迎语设置失败，请联系管理员',
        2203 => '新用户欢迎语设置失败，请重试',
        2204 => '非全体员工通用规则请选择指定员工',
        2205 => '新用户欢迎语列表获取失败，请联系管理员',
        2206 => '新用户欢迎语详情获取失败，请联系管理员',
        2207 => '欢迎语规则不存在，请刷新页面重试',
        2208 => '欢迎语规则状态更新失败',
        2209 => '欢迎语规则状态删除失败',
        2210 => '欢迎语附件格式错误，请刷新或者更换浏览器重试',

        2301 => '图片仅支持png或jpg格式',
        2302 => '语音仅支持amr格式',
        2303 => '视频仅支持mp4格式',
        2304 => '素材存储失败，请重试',
        2305 => '素材上传失败，请联系管理员',
        2306 => '图片文件大小不可超过10M',
        2307 => '语音文件大小不可超过2M',
        2308 => '视频文件大小不可超过20M',
        2309 => '临时素材上传失败，请重试',
        2310 => '素材上传信息存储失败，请重试',
        2311 => '请选择需要上传的素材文件',
        2312 => '图片总像素不超过1555200',
        2313 => 'PDF文件仅支持pdf格式',
        2314 => '文件存储失败，请重试',
        2315 => '请选择需要上传的文件',
        2316 => 'PDF文件大小不可超过20M',
        2317 => '上传失败，请联系管理员',
        2318 => '文件大小不可超过20M',
        2319 => '图片上传失败，请稍后再试',
        2320 => '仅可选择一种附件类型',
        2321 => '附件类型不合法',
        2322 => '图片附件异常，请重试',
        2323 => '图文消息附件异常，请重试',
        2324 => '小程序附件异常，请重试',
        2325 => '文件或视频附件异常，请重试',

        2330 => '共享好友配置关系不存在，请刷新后重试',
        2331 => '共享好友配置关系绑定失败，请重试',
        2332 => '共享好友配置关系绑定失败，请联系管理员',
        2333 => '配置状态已修改，请勿重复提交',
        2334 => '配置状态修改失败，请重试',

        2401 => '企业id和公众号id不可同时为空',

        2410 => '未查询到指定的素材组信息，请刷新后重试',
        2411 => '素材组信息未发生变动，请重试',
        2412 => '素材组删除失败，请重试',
        2413 => '未检测到待上传的素材',
        2414 => '未查询到需要编辑的素材，请刷新重试',
        2415 => '上传素材失败，请联系管理员',
        2416 => '请先选择需移动的素材',
        2417 => '素材组id非法',
        2418 => '分组移动失败，请重试',
        2419 => '请先选择需删除的素材',
        2420 => '素材不存在，请刷新后重试',
        2421 => '素材地址不存在，请确认',
        2422 => '选择素材失败，请重试',

        2430 => '群发消息停止任务创建失败，请重试',
        2431 => '该群发暂未完成群发消息创建，请稍后再试',
        2432 => '该群发已经存在未完成的停止任务，请稍后再试',

        2501 => '朋友圈任务设置失败，请联系管理员',
        2502 => '此状态朋友圈任务暂不支持编辑操作',
        2503 => '朋友圈任务设置失败，请重试',
        2504 => '朋友圈任务获取失败，请联系管理员',
        2505 => '朋友圈任务列表获取失败，请联系管理员',
        2506 => '朋友圈任务规则不存在，请刷新页面重试',
        2507 => '朋友圈任务规则状态更新失败',
        2508 => '朋友圈发布记录获取失败，请联系管理员',
        2509 => '附件类型最多可以选择一种',
        2510 => '图片不能超过9张',
        2511 => '此条朋友圈消息所有成员已经完成发送',
        2512 => '消息发送失败，请稍后重试',
        2513 => '该类型消息附件只支持一个',
        2514 => '提醒失败，请联系管理员',

        2531 => '客户群分配规则不存在，请刷新后重试',
        2532 => '客户群分配规则设置失败，请重试',
        2533 => '客户群分配任务已经开始执行，不支持修改状态',
        2534 => '客户群分配规则状态已完成变更，请勿重复提交',
        2535 => '客户群分配规则状态修改失败，请重试',

        2601 => '配置信息不存在，请刷新重试',
        2602 => '配置项编辑失败',
        2603 => '配置项编辑失败, 请联系管理员',
        2604 => '配置项信息获取失败，请联系管理员',

        2701 => '未查询到该客户信息，请刷新页面重试',
        2702 => '操作异常，请稍后重试',
        2703 => '当前账号无此操作权限',
        2704 => '没有可以操作的企业微信',
        2705 => '企微列表超出操作范围',
        2706 => '企微客服信息数据格式不合法, 请联系管理员',
        2707 => '所选择客服列表中存在不可续期客服',
        2708 => '部分客服许可续期订单取消失败',

        2801 => '获取用户企微信息失败',
        2802 => '未查询到指定雷达信息',
        2803 => '企业或客服信息缺失',
        2804 => '数据上报失败',

        2811 => '请选择设备绑定的客服',
        2812 => '已选择设备绑定的客服异常，请重新选择',
        2813 => '绑定设备登录的企微客服失败，请联系管理员',

        3000 => '在职分配客户失败',
        3001 => '请求参数错误',
        3002 => '数据为空',
        3003 => '原跟进员工需为离职状态',
        3004 => '未修改',

        3101 => '公众号信息不存在',
        3102 => '剧集信息不存在',
        3103 => '用户信息不存在',
        3104 => '投手剧集关系信息不存在',
        3105 => '投放时间存在冲突',
        3106 => '操作失败~',
        3107 => 'adq投放账号信息不存在',
        3108 => '剧集已存在，请勿重复添加',
        3109 => '剧集添加失败，请重试',

        ## 预警相关
        3201 => '预警组名称不可为空～',
        3202 => '预警组传递数据参数有误～',
        3203 => '预警组传递用户数据存在手机号码不合法～',
        3204 => '预警组名称已经存在～',
        3205 => '该预警组信息不存在～',
        3206 => '预警组配置必须完整才可启用~',
        3207 => '预警人员手机号码已经存在～',
        3208 => '该预警人员信息不存在～',
        3209 => '规则配置数据项有误',

        # 客服异常预警 - 总粉丝数预警
        3210 => '规则配置数据项有误, 仅可添加单条预警规则',

        # 批量添加客户
        3301 => '本次导入客户列表中，与已导入客户列表存在重复客户',
        3302 => '系统异常，无法识别上传文件',
        3303 => '系统异常，读取缓存数据失败',
        3304 => '导入文件内容有误',
        3305 => '没有筛选到待分配的客户',

        # 智能雷达
        3400 => '雷达组名称已使用',
        3401 => '雷达信息查询异常',
        3402 => '未检测到修改',
        3403 => '话术组名称已使用',
        3404 => '话术信息查询异常',
        3405 => '被操作雷达组前后分组id不可同时为空',

        # 快捷话术
        3501 => '未查询到指定话术信息',
        3502 => '话术信息处理失败，请联系管理员',
        3503 => '话术素材获取失败，请重试',
        3504 => '快捷话术发送数据上报失败',
        3505 => '最多添加9条话术内容',
        3506 => '最少添加1条话术内容',
        3507 => '被操作话术规则前后规则id不可同时为空',

        3601 => '群发发送记录列表获取失败，请联系管理员',
        3602 => '群发发送详情详情获取失败，请联系管理员',

        3701 => '客户阶段规则设置失败，请重试',
        3702 => '客户阶段规则设置失败，请联系管理员',
        3703 => '每种客户阶段规则仅可使用一次',
        3704 => '操作失败，请联系管理员',

        3801 => '订单ID不合法',
        3802 => '订单已经上报，无须重复操作',
        3803 => '日期跨度不得超过一个月',
        3804 => '比例设置有误,请填写0-100之间的整数,例如83',
        3807 => '安卓与ios配置的分成比例需一致',
        3805 => '预估佣金为0',
        3806 => '订单状态非支付',
        3808 => '回传信息缺失',

        4002 => '请重新登录',

        4101 => '短剧信息不可为空，请检查',
        4102 => '短剧信息保存失败，清联系管理员',
        4103 => '短剧组信息保存失败，请联系管理员',
        4104 => '短剧组信息查询失败',
        4105 => '小程序APP_ID必填',
        4106 => '嘉书平台只能够创建H5类型的推广链接',
        4107 => '一次最多只能创建9条推广链接',

        4400 => '路由地址已存在',
        4401 => '上级权限ID不存在',
        4402 => '参与排序项目与实际数量不一致',
        4403 => '参数错误',
        4404 => '用户名已经存在',
        4405 => '密码需要6～18个字符',
        4406 => '非系统管理员不能管理账号组',
        4407 => '不可以删除自己',
        4408 => '回传设置有误~',
        4409 => '回传规则不能为空~',
        4410 => '回传规则数据项有误，请检查',
        4411 => '最小金额要需小于最高金额',
        4412 => '多项回传规则之间金额范围存在交叉',
        4413 => '起始时间需早于截止时间',
        4414 => '多项回传规则配置之间时间范围不能存在交叉',
        4415 => '回传规则配置的时间区间应当连续',

        4501 => '权限设置失败，请联系管理员',
        4502 => '权限设置失败，请重试',
        4503 => '权限编辑失败，请重试',
        4504 => '权限编辑失败，请联系管理员',
        4505 => '角色信息不存在，请刷新页面重试',
        4506 => '无操作权限',
        4507 => '角色删除失败，请重试',
        4508 => '角色权限删除失败，请重试',
        4509 => '该角色已被使用，请先解除用户和该角色的绑定关系',

        #渠道活码相关
        4600 => '客服数据格式有误',
        4601 => '生成渠道二维码失败',
        4602 => '系统错误',
        4603 => '参数有误，不存在该渠道活码',
        4604 => '更新渠道二维码失败',
        4605 => '删除渠道二维码失败',
        4606 => '参数有误',
        4607 => '不存在该分组',
        4608 => '没有配置符合条件的客服',
        4609 => '分组设置失败',
        4610 => '分组排序失败',

        # 侧边栏-客户画像
        4701 => '画像配置操作传递参数不合法~',
        4702 => '画像配置操作传递参数有误~',
        4703 => '客户详情数据不存在~',
        4704 => '客户画像存储数据不合法~',
        4705 => '客户画像编辑传递参数有误~',
        4706 => '客户画像该属性已存在~',
        4707 => '客户画像该属性不存在~',
        4710 => '验签失败',
        4711 => '查不到该客户',

        # 群活码
        4801 => '群活码创建失败',
        4802 => '群活码信息获取失败，请重试',
        4803 => '群活码信息获取异常，请重试',
        4804 => '群活码创建过程发生异常，请联系管理员',
        4805 => '群活码参数非法',
        4806 => '群活码规则设置失败，请重试',
        4807 => '群活码标识与规则不匹配',
        4808 => '群活码更新过程发生异常，请联系管理员',
        4809 => '群活码中至少需要保留一个客户群，若需停用请直接禁用',
        4810 => '群活码详情配置获取失败，请联系管理员',
        4811 => '未查询到指定的群活码配置，请刷新后重试',
        4812 => '群活码禁用失败，请联系管理员',
        4813 => '群活码禁用失败，请重试',
        4814 => '扫码数据上报失败',
        4815 => '未查询到客服信息',

        # 邀请用户入群
        4816 => '仅支持当前客服群聊',
        4817 => '仅支持定时邀请',
        4818 => '客户续拉任务不可编辑',
        4819 => '单次创建群聊数量上限必填',
        4820 => '所选客服以及所选群聊对应群主需绑定设备',
        4821 => '邀请入群配置不存在，请刷新重试',
        4822 => '邀请入群配置设置失败，请重试',
        4823 => '邀请入群配置不能为空',
        4824 => '邀请入群配置设置失败，请联系管理员',
        4825 => '删除邀请入群配置失败，请联系管理员',
        4826 => '删除邀请入群规则失败，请重试',
        4827 => '邀请入群规则状态变更失败，请重试',
        4828 => '仅可选择群主为当前客服的群聊',
        4829 => '请选择非当前客服为群主的群聊',

        4830 => '配置智能群发模板失败，请重试',
        4831 => '未查询到符合条件的模板，请确认后重试',
        4832 => '智能群发模板不存在，请刷新后重试',
        4833 => '智能群发模板状态修改失败，请重试',
        4834 => '智能群发模板状态已修改，请勿重复修改',
        4835 => '请先选择需要删除的模板',
        4836 => '智能群发模板删除失败，请重试',
        4837 => '未查询到对应的智能群发分组，请刷新后重试',
        4838 => '智能群发分组状态调整失败，请联系管理员',
        4839 => '分组状态已修改，请勿重复修改',
        4840 => '分组状态修改失败，请重试',
        4841 => '请先选择待移分组的规则',
        4842 => '目标分组不存在，请重试',
        4843 => '分组删除失败，请重试',
        4844 => '智能群发分组删除失败，请联系管理员',
        4845 => '未查询到对应的模板分组，请刷新后重试',
        4846 => '模板分组信息未发生变动，请确认信息后重试',
        4847 => '模板分组状态调整失败，请联系管理员',
        4848 => '请先选择待移分组的模板',
        4849 => '分组状态修改失败，请联系管理员',
        4850 => '客户补拉未开启',
        4851 => '退群客户补充邀请入群补拉时间点变更失败，请重试',

        4852 => '创建客户群规则配置不存在，请刷新重试',
        4853 => '创建客户群设置失败，请重试',
        4854 => '创建客户群规则删除失败，请重试',
        4855 => '创建客户群规则状态变更失败，请重试',
        4856 => '所选群主含未绑定设备客服，请确认',
        4857 => '当前企微下已绑定设备的客服列表为空，请确认',

        4900 => 'adq投放账号ID查询失败，确认填写是否正确',
        4901 => 'adq投放账号尚未绑定web数据源',
        4902 => '公众号绑定adq投放账号必填',
        4903 => '公众号绑定运营人员必填',
        4904 => '一个公众号只可以绑定同一个运营人员',
        4905 => '客服已经绑定过其他投放账号',
        4906 => '已经绑定其他投放账号',

        4910 => '暂不支持该平台创建推广链接',
        4911 => '未查询到合法的剧集信息',
        4912 => '平台账号信息不符合创建链接条件',
        4913 => '链接信息获取异常，请联系管理员',
        4914 => '链接生成失败',
        4915 => '请确认公众账号是否在第三方平台完成绑定',
        4916 => '该剧素材库不完整，暂时不能创建',

        5000 => '平台标识有误',
        5001 => '签名校验失败',
        5002 => '查询客户信息为空',
        5003 => '查询标签结果异常',
        5004 => '已经存在相同标签的任务待执行',

        5101 => '账号名称已存在',
        5102 => '小程序已存在',

        5103=> '绑定关系已存在，不用重复绑定',
        5104=> '绑定失败，请重试',

        # 个人SOP
        5201 => 'SOP规则ID非法',
        5202 => 'SOP规则设置失败，请重试',
        5203 => 'SOP规则消息配置失败，请重试',
        5204 => 'SOP消息ID非法',
        5205 => 'SOP规则设置失败，请联系管理员',
        5206 => 'SOP规则状态变更失败',
        5207 => '此SOP规则已关闭',

        # 智能群发
        5220 => '提醒发送时间配置有误，请联系管理员',
        5221 => '智能群发配置不存在，请刷新页面重试',
        5222 => '智能群发规则设置失败，请重试',
        5223 => '智能群发规则设置失败，请联系管理员',
        5224 => '智能群发分组不合法，请刷新后重试',

        # 客服许可
        5229 => '仅团队主账号和拥有超级权限的管理账号可以分配/转移许可',
        5230 => '未查询到可用的许可',
        5231 => '许可分配失败',
        5232 => '剩余许可不足以完成本次分配',
        5233 => '许可分配失败,请联系管理员',
        5234 => '腾讯暂未返回激活/转移结果，请稍后',
        5235 => '许可转移失败',
        5236 => '该成员未加入到企微，请联系成员到企微内确认加入',
        5237 => '获取客服许可续期任务列表失败,请联系管理员',
        5238 => '获取客服许可续期任务详情失败,请联系管理员',
        5239 => '客服许可续期任务暂无可以取消的订单',

        # 客户入群素材
        5240 => '设置客户入群欢迎语素材失败，请联系管理员',
        5241 => '删除客户入群欢迎语素材失败，请联系管理员',

        # 运营组
        5250 => '未查询到指定的运营组信息，请刷新后重试',
        5251 => '运营组内成员不可为空',
        5252 => '状态已修改，请勿重复修改',
        5253 => '状态修改失败，请重试',
        5254 => '运营人员不合法',

        5260 => '当前客服所有客户均为可送达状态，无需重置',

        # 安卓上传单向好友数据
        6000 => '企业名称查询为空或者查询结果为多个',
        6001 => '客服名称查询为空或者查询结果为多个',
        6002 => '企业id查询为空',

    ];
    /**
     * 返回错误码
     * @var string
     */
    public static function getError($code = "400", $_ = false)
    {
        if (! isset(self::$errCodes[$code])) {
            $code = "400";
        }
        return ($_ ? "[{$code}]" : "")
            . self::$errCodes[$code];
    }
}
