<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;
use App\Service\PromoterService;

class PromoterController extends Controller
{
    /**
     * 推客注册/登录
     */
    public function login(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'code' => 'required|string',
        ]);

        if ($validator->fails()) {
            return self::returnValue($validator->getMessageBag(), 1102);
        }

        $code = $request->input('code');
        $inviteCode = $request->input('invite_code');

        # 使用code获取用户信息
        $data = PromoterService::getUserInfo($code, $inviteCode);

        return self::returnValue($data);
    }

    /**
     * 获取推客的注册状态，以及和机构的绑定状态
     */
    public function getBindStatus(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'open_id' => 'required|string',
        ]);

        if ($validator->fails()) {
            return self::returnValue($validator->getMessageBag(), 1102);
        }

        $openId = $request->input('open_id');
    }
}
