<?php

namespace App\Service;

use App\Log;
use App\Support\EmailQueue;
use App\Support\weChatApi;
use App\Models\Promoter;

class PromoterService
{
    public static function getUserInfo($code, $inviteCode)
    {
        # 使用code获取用户信息
        $responseData = weChatApi::getUserInfo($code);

        $openid = $responseData['openid'];

        # 查询推客是否存在
        $promoter = Promoter::where('openid', $openid)->first();

        if (!$promoter) {
            # 如果推客不存在，则创建推客
            $promoter = new Promoter();
            $promoter->openid = $openid;
            $promoter->parent_id = $inviteCode;
            $promoter->save();
        }

        return $promoter;
    }
}