<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('wechat_goods_skus', function (Blueprint $table) {
            $table->id();
            $table->string('app_id', 64)->nullable()->comment('所属小店appid');
            $table->string('product_id', 64)->nullable()->comment('商品id');
            $table->string('sku_id', 64)->nullable();
            $table->string('thumb_img', 128)->nullable()->comment('小图');
            $table->integer('stock_num')->nullable()->comment('库存');
            $table->decimal('sale_price', 12, 2)->nullable()->comment('售卖价格');
            $table->text('attrs')->nullable()->comment('属性json');
            $table->tinyInteger('enable')->unsigned()->default(1)->comment('数据状态 1生效 0无效');
            $table->datetime('create_time')->useCurrent()->comment('创建时间');
            $table->datetime('update_time')->useCurrent()->useCurrentOnUpdate()->comment('更新时间');

            $table->engine = 'InnoDB';
            $table->charset = 'utf8mb4';
            $table->collation = 'utf8mb4_general_ci';
            $table->comment('推广商品规格');
        });
    }

    public function down()
    {
        Schema::dropIfExists('wechat_goods_skus');
    }
}; 