<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('wechat_goods', function (Blueprint $table) {
            $table->id();
            $table->string('appid', 64)->nullable()->comment('所属小店appid');
            $table->string('product_id', 64)->nullable()->comment('商品id');
            $table->string('title', 64)->nullable()->comment('标题');
            $table->string('sub_title', 64)->nullable()->comment('副标题');
            $table->string('head_imgs', 256)->nullable()->comment('主图列表，最多9张');
            $table->string('desc_imgs', 1024)->nullable()->comment('详情图列表，最多20张');
            $table->string('desc_text', 256)->nullable()->comment('详情描述');
            $table->text('cats')->nullable()->comment('类目信息');
            $table->text('cats_v2')->nullable()->comment('新类目信息');
            $table->text('express_info')->nullable()->comment('快递信息 json');
            $table->text('commission_info')->nullable()->comment('跟佣信息');
            $table->tinyInteger('enable')->default(1)->comment('商品状态 1正常 0失效');
            $table->datetime('create_time')->useCurrent();
            $table->datetime('update_time')->useCurrent()->useCurrentOnUpdate();

            $table->engine = 'InnoDB';
            $table->charset = 'utf8mb4';
            $table->collation = 'utf8mb4_general_ci';
            $table->comment('推广商品');
        });
    }

    public function down()
    {
        Schema::dropIfExists('wechat_goods');
    }
}; 