<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('wechat_order', function (Blueprint $table) {
            $table->id();
            $table->string('shop_appid', 64)->nullable()->comment('团长appid');
            $table->string('order_id', 64)->nullable()->comment('订单ID');
            $table->string('sku_id', 64)->nullable()->comment('商品skuid');
            $table->datetime('order_create_time')->nullable()->comment('订单创建时间');
            $table->datetime('order_update_time')->nullable()->comment('订单更新时间');
            $table->tinyInteger('commission_status')->unsigned()->nullable()->comment('佣金单状态  20未结算 100已结算 200取消结算');
            $table->string('product_id', 64)->nullable()->comment('商品ID');
            $table->string('thumb_img', 256)->nullable()->comment('sku小图');
            $table->integer('actual_payment')->unsigned()->default(0)->comment('可分佣金额');
            $table->string('product_title', 256)->nullable()->comment('商品标题');
            $table->tinyInteger('order_status')->unsigned()->nullable()->comment('订单状态  10代付款 20待发货 21 部分发货 30待收货 100完成 200全部商品售后之后订单取消 250未付款用户主动取消或超时未付款订单自动取消');
            $table->string('finder_nickname', 64)->nullable()->comment('达人昵称');
            $table->integer('finder_ratio')->unsigned()->default(0)->comment('达人佣金率[0, 1000000]');
            $table->integer('finder_amount')->unsigned()->default(0)->comment('达人佣金');
            $table->string('openfinderid', 64)->nullable()->comment('视频号openfinderid');
            $table->integer('service_ratio')->unsigned()->default(0)->comment('服务费率[0, 1000000]');
            $table->integer('service_amount')->unsigned()->default(0)->comment('服务费金额');
            $table->datetime('profit_sharding_suc_time')->nullable()->comment('服务费结算时间');
            $table->tinyInteger('enable')->unsigned()->default(1)->comment('数据状态 1生效 0无效');
            $table->datetime('create_time')->useCurrent()->comment('数据创建时间');
            $table->datetime('update_time')->useCurrent()->useCurrentOnUpdate()->comment('数据更新时间');

            $table->engine = 'InnoDB';
            $table->charset = 'utf8mb4';
            $table->comment('佣金单');
        });
    }

    public function down()
    {
        Schema::dropIfExists('wechat_order');
    }
}; 