<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

# 不需要登录就可以访问的接口
Route::group(['namespace' => 'Api'], function () {
    Route::group(['prefix'=>'promoter'],function() {
        Route::post('login', 'PromoterController@login');
    });
});

# 登录之后才可以访问
Route::group(['namespace' => 'Api', 'middleware' => ['api.login']], function () {

});

# h5接口
//Route::group(['namespace' => 'Api', 'middleware' => ['h5.verify'], 'prefix'=>'h5'], function () {});

Route::group(['namespace' => 'Api', 'middleware' => ['auth:api']], function () {
    // 商品接口
    Route::group(['prefix'=>'goods'],function() {
        Route::get('list', 'GoodsController@list');
        Route::get('detail', 'GoodsController@detail');
    });
    // 订单接口
    Route::group(['prefix'=> 'orders'],function() {
        Route::get('list', 'OrderController@list');
    });
    // 用户收益
    Route::group(['prefix'=> 'user'],function() {
        Route::get('myEarnings', 'UserController@myEarnings');
        Route::get('myEarningsDetail', 'UserController@myEarningsDetail');
    });
});
